Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel
Class PDDestinationNameTreeNode

    java.lang.Object
      org.pdfbox.pdmodel.common.PDNameTreeNode
          org.pdfbox.pdmodel.PDDestinationNameTreeNode

All Implemented Interfaces:
  COSObjectable

public class PDDestinationNameTreeNode
extends PDNameTreeNode

This class holds all of the name trees that are available at the document level.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Constructor Summary
`PDDestinationNameTreeNode()` Constructor.
`PDDestinationNameTreeNode(COSDictionary dic)` Constructor.

Method Summary
`protected Object` | `convertCOSToPD(COSBase base)` Method to convert the COS value in the name tree to the PD Model object. The default implementation will simply use reflection to create the correct object type. Subclasses can do whatever they want.
`protected PDNameTreeNode` | `createChildNode(COSDictionary dic)` Create a child node object.

Methods inherited from class org.pdfbox.pdmodel.common.PDNameTreeNode
`getCOSDictionary, getCOSObject, getKids, getLowerLimit, getNames, getUpperLimit, getValue, setKids, setNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDDestinationNameTreeNode

    public PDDestinationNameTreeNode()

  Constructor.

### PDDestinationNameTreeNode

    public PDDestinationNameTreeNode(COSDictionary dic)

  Constructor.

Parameters:
  `dic` - The COS dictionary.

Method Detail

### convertCOSToPD

    protected Object convertCOSToPD(COSBase base)
                             throws IOException

  Method to convert the COS value in the name tree to the PD Model object. The default implementation will simply use reflection to create the correct object type. Subclasses can do whatever they want.

  Overrides:
    `convertCOSToPD` in class `PDNameTreeNode`
  Parameters:
    `base` - The COS object to convert.
  Returns:
    The converted PD Model object.
  Throws:
    `IOException` - If there is an error during creation.

### createChildNode

    protected PDNameTreeNode createChildNode(COSDictionary dic)

  Create a child node object.

  Overrides:
    `createChildNode` in class `PDNameTreeNode`
  Parameters:
    `dic` - The dictionary for the child node object to refer to.
  Returns:
    The new child node object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD